/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"html": "<p>Dein Programm soll nach folgenden Regeln den Benutzername auf die Standardausgabe schreiben (ohne anschließenden Zeilenumbruch etc.): Bei normalen Benutzerinnen und Benutzern (also wenn <code>moderiert</code> den Wert <code>false</code> hat) nur den Benutzername, bei Moderatorinnen und Moderatoren (wenn <code>moderiert</code> den Wert <code>true</code> hat) steht vor dem Benutzername <code>Moderator(in)</code>. Bei Benutzerin <code>antwort0815</code> wird also nur <code>antwort0815</code> auf die Standardausgabe geschrieben, solange sie keine Moderatorin ist. Wurde sie zur Moderatorin befördert, wird <code>Moderator(in) antwort0815</code> auf die Standardausgabe geschrieben.</p>\n\n<p>Programmiere das so einfach wie möglich. Dein Programm soll für alle Werte von <code>benutzername</code> und <code>moderiert</code> die passende beschriebene Ausgabe liefern. Verwende keine zusätzlichen Variablen, sondern nur möglichst wenig Aufrufe von <code>print</code>, eine bedingte Anweisung, den Operator <code>+</code> zum verketten von Zeichenketten und ggf. Vergleichsoperatoren.</p>",
	"canReset": true,
	"code": "class BENUTZERAANZEIGE {\n    public static void main(String[] args) {\n        String benutzername = \"antwort0815\";\n        boolean moderiert = true;\n        \n        // Ab hier: Quelltext ergänzen\n    }\n}",
	"checkData": [
		{
			"name": "BENUTZERAANZEIGE",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"name": "main",
					"type": "void",
					"dimensions": "0",
					"final": false,
					"static": true,
					"abstract": false,
					"visibility": 3,
					"params": [
						{
							"name": "args",
							"type": "String",
							"dimensions": "1",
							"final": false,
							"part": "variable"
						}
					],
					"content": [
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) { System.out.print(\"Moderator(in) \" + benutzername); } else { System.out.print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) { System.out.print(\"Moderator(in) \" + benutzername); } else { System.out.print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) System.out.print(\"Moderator(in) \" + benutzername); else { System.out.print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) System.out.print(\"Moderator(in) \" + benutzername); else { System.out.print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) { System.out.print(\"Moderator(in) \" + benutzername); } else System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) { System.out.print(\"Moderator(in) \" + benutzername); } else System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) System.out.print(\"Moderator(in) \" + benutzername); else System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) System.out.print(\"Moderator(in) \" + benutzername); else System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == false) { System.out.print(benutzername); } else { System.out.print(\"Moderator(in) \" + benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) { System.out.print(\"Moderator(in) \"); } System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) { System.out.print(\"Moderator(in) \"); } System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) System.out.print(\"Moderator(in) \"); System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) System.out.print(\"Moderator(in) \"); System.out.print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) { print(\"Moderator(in) \" + benutzername); } else { print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) { print(\"Moderator(in) \" + benutzername); } else { print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) print(\"Moderator(in) \" + benutzername); else { print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) print(\"Moderator(in) \" + benutzername); else { print(benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) { print(\"Moderator(in) \" + benutzername); } else print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) { print(\"Moderator(in) \" + benutzername); } else print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) print(\"Moderator(in) \" + benutzername); else print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) print(\"Moderator(in) \" + benutzername); else print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == false) { print(benutzername); } else { print(\"Moderator(in) \" + benutzername); }",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) { print(\"Moderator(in) \"); } print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) { print(\"Moderator(in) \"); } print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert == true) print(\"Moderator(in) \"); print(benutzername);",
" String benutzername = \"antwort0815\"; boolean moderiert = true; if (moderiert) print(\"Moderator(in) \"); print(benutzername);"
                    ],
					"part": "method"
				}
			],
			"part": "class"
		}
	]
}
